set term x11

# frente y atrás en coordenadas de la cámara (ambas positivas)
fr = 10
at = 20


g(z) = -(fr+at)+ (fr*at)/(-z)
f(x) = (-2.0*g(x) - at - fr)/(at-fr)

unset key
set xlabel "z en el objeto"
set ylabel "Coordenadas normalizadas"
set xrange [-fr:-at]
plot f(x) w l lw 2
pause -1
